Accounts payable
Update priority of an approval policy
Update the priority of an approval policy by its ID
Update the priority of an approval policy by its ID
Authorization
api_key AuthorizationBasic <token>
In: header
Path Parameters
approval_policy_id*string
The ID of the Approval Policy
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v2/accounts-payable/approval-policies/string" \ -H "Content-Type: application/json" \ -d '{ "priority": 0 }'{ "active": true, "api_app_id": "ad6a2ad4-d593-4e3e-bfd5-50592ed119ca", "approval_conditions": [ { "approver_list": [ { "id": 0, "name": "string" } ], "num_approvals_required": 0 } ], "payable_conditions": [ { "comparator": "string", "type": null, "value": 0 } ], "created": "2019-08-24T14:15:22Z", "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "priority": 0}Create an approval policy
Create an approval policy that will apply approval steps to payables in your app. It will only apply to policies that match the `approval_conditions` and are in state `submitted_for_approval`. Policies that already have approval steps will not be overwritten.
Delete an approval policy
Delete an approval policy by its ID